package com.jeeplus.sys.factory;

import com.jeeplus.sys.domain.UserInfo;
import com.jeeplus.sys.feign.IStaffUserInfoApi;
import com.jeeplus.sys.feign.IUserApi;
import com.jeeplus.sys.service.dto.StaffUserInfoDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class StaffUserInfoApiFallbackFactory implements FallbackFactory<IStaffUserInfoApi> {
    @Override
    public IStaffUserInfoApi create(Throwable throwable) {
        log.error ( "用户服务调用失败:{}", throwable.getMessage ( ) );
        throwable.printStackTrace ( );
        return new IStaffUserInfoApi ( ) {

            @Override
            public void updateUser(UserInfo userDTO) {

            }

            @Override
            public void deleteUser(UserInfo userDTO) {

            }
        };
    }
}
